package com.gh.gamecenter.eventbus

/**
 * @param fromInit 实体生成是否来自于初始化
 */
class EBPackage(var type: String,
                var packageName: String,
                var versionName: String?,
                val fromInit: Boolean = false) {
    var gameId: String? = null
    var isVGame: Boolean = false // 是否是畅玩游戏

    fun isInstalledOrUninstalled() : Boolean {
        return type == TYPE_INSTALLED || type == TYPE_UNINSTALLED
    }

    companion object {
        const val TYPE_INSTALLED = "安装"
        const val TYPE_UNINSTALLED = "卸载"
        const val TYPE_REPLACED = "替换"
    }
}

